<?php

// ACP Header - START
if (!empty($setmodules))
{
	$module['Mods']['Лента новинок'] = basename(__FILE__);
	return;
}
require('./pagestart.php');
// ACP Header - END

require(INC_DIR .'functions_selects.php');

//
// Pull all config data
//
$sql = "SELECT * FROM " . BB_CONFIG;
if(!$result = DB()->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query config information in admin_board", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = DB()->sql_fetchrow($result) )
	{
		$config_name = $row['config_name'];
		$config_value = $row['config_value'];
		$default_config[$config_name] = $config_value;

		$new[$config_name] = isset($_POST[$config_name]) ? $_POST[$config_name] : $default_config[$config_name];

		if (isset($_POST['submit']) && $row['config_value'] != $new[$config_name])
		{
			$new[$config_name] = serialize($new[$config_name]);

			bb_update_config(array($config_name => $new[$config_name]));
		}
	}

	if( isset($_POST['submit']) )
	{
		bb_die($lang['CONFIG_UPDATED'] .'<br /><br /><a href="admin_lenta.php">Вернуться к добавлению</a>');
    }
}

$template->assign_vars(array(
	'S_CONFIG_ACTION' => 'admin_lenta.php',
));

if($new['lenta_poster'])
{
	if (!$forums = $datastore->get('cat_forums'))
	{
		$datastore->update('cat_forums');
		$forums = $datastore->get('cat_forums');
	}

	$title_row    = unserialize($new['lenta_title']);
    $topic_row    = unserialize($new['lenta_topic_id']);
	$poster_row   = unserialize($new['lenta_poster']);
	$desc_row     = unserialize($new['lenta_desc']);

	foreach($poster_row as $i => $row)
	{
		if(!$row || !$desc_row[$i]) continue;

		$template->assign_block_vars('lenta', array(
			'CLASS'     => !($i % 2) ? 'row1' : 'row2',
			'TOPIC_ID'  => $topic_row[$i],
			'TITLE'     => $title_row[$i],
			'POSTER'    => $row,
			'DESC'      => $desc_row[$i],
		));
	}
}

print_page('admin_lenta.tpl', 'admin');
